PDA

View Full Version : Help upgrading from 7.5 to 7.5c or 7.5b



Titus
01-26-2004, 07:58 PM
Hi all,

I have LW7.5 full tied to my VT2, no dongle here (animator's edition). When the 7.5c patch was announced I downloaded the file and the installer screwed up the previous installation, the LW patch was installed as "discovery edition" and was a real nightmare to reinstall the program again or get back. I only want to have L-script 2.6 to run newer scripts, is there a way to upgrade lscript 2.6 manually?

I have LW75update.exe file but I don't want to touch it gain.

Titus
01-27-2004, 10:24 AM
So, nobody has an idea?

Titus
01-28-2004, 07:32 PM
Ok, two days and no replies. No problem, I'm patient like monk.

If my request sounds like I want to "crack" the program or something wrong, it's not. I just want to upgrade my legal program without breaking the installation.

Phil
01-29-2004, 07:57 PM
There was a period when an LScript update appeared as a lscore3.dll download. I'm not sure if that's the only thing that would need transferring and it may well cause additional headaches, but you're free to experiment, I guess.

Backup the old one and your configs before you do anything and I'd suggest installing the LW update into a fresh folder (should create the discovery edition IIRC). Then you're good to go.

Just ensure you have current backups of any LW related data that you cannot afford to lose if things go wrong.

Titus
01-30-2004, 08:35 AM
Well, this doesn't work but thanks for taking your time.

I thought the solution is something easy like just copy a couple of files just like you are proposing.

Phil
01-30-2004, 02:36 PM
The other option is to have all your 3rd party plugins and content isolated away from your main LW folder (generally good practice to have 3rd party plugins, docs, etc. isolated away from the NewTek standard folders in case of installer problems).

You could then have two local copies of LW7.5 and LW7.5c - with shortcuts on your desktop to point to a different set of config files for each. You'd need to add new plugins to each setup, but you could share content and 3rd party plugins/docs/tutorials between the two setups.

Info on this is in the manual and probably elsewhere on this forum. I think you need something like -c "usethis\configfile"

Best I can suggest until NT actually gets somewhat better support for 'legacy' LScripts into LW. I still fail to understand why these issues are present when it wouldn't seem to take that much effort to use the version tag in the LScript and hook up the appropriate runtime to deal with it *shrug* I hate LScripts for this very reason and have never paid for a commercial LScript as a result. They just break too damn often to be useful.